From aa65f58ae8387ebf860219a8b1f9661c74bb059a Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:43:54 +0000
Subject: [PATCH 650/1001] some beautification in clean_input


---

diff --git a/hubs/widgets/clean_input.py b/hubs/widgets/clean_input.py
index 46bccbc..316c7a4 100644
--- a/hubs/widgets/clean_input.py
+++ b/hubs/widgets/clean_input.py
@@ -5,6 +5,7 @@ import bleach
 
 def filter_img_src(name, value):
     ''' Filter in img html tags images coming from a different domain. '''
+
     import hubs.app
     if name in ('alt', 'height', 'width', 'class'):
         return True
@@ -16,14 +17,15 @@ def filter_img_src(name, value):
 
 
 def clean(text, ignore=None):
-    """ For a given html text, escape everything we do not want to support
+    ''' For a given html text, escape everything we do not want to support
     to avoid potential security breach.
-    """
+    '''
+
     if ignore and not isinstance(ignore, (tuple, set, list)):
         ignore = [ignore]
 
     attrs = bleach.ALLOWED_ATTRIBUTES
-    if not ignore or not 'img' in ignore:
+    if not ignore or 'img' not in ignore:
         attrs['img'] = filter_img_src
 
     tags = bleach.ALLOWED_TAGS + [

